Subject: RE: Request for well-known URI: smart-configuration

From: Isaac Vetter <[email-masked]>
Date: Fri, 28 Jun 2019 15:07:58 +0000

Hi iesg, wellknown-uri-reviewers,

I'm hoping to register the "smart-configuration" well-known URI name. Any updates?

Please let me know how I can help.

Thanks!

Isaac Vetter

> Registration requests that are undetermined for a period longer than 21 days can be brought to the IESG's attention (using the [email-masked] mailing list) for resolution.
https://tools.ietf.org/html/rfc5785#section-5.1

https://mailarchive.ietf.org/arch/browse/wellknown-uri-review/?q=smart-configuration

From: Isaac Vetter
Sent: Thursday, May 23, 2019 11:48 AM
To: [email-masked]' <[email-masked]>
Subject: Request for well-known URI: smart-configuration

Hi wellknown-uri-reviewers!

I'd like to request that the "smart-configuration" well-known URI name be registered. I'm making this request on behalf of the HL7 standards development organization in regards to the HL7 FHIR SMART App Launch specification<http://www.hl7.org/fhir/smart-app-launch/>. This implementation guide defines a well-known URI by which an application may discover a FHIR API server's authorization and launch capabilities.

This specification has already gone through a round of balloting within HL7 and is currently published at the "Standard for Trial Use<https://confluence.hl7.org/display/HL7/HL7+Balloting>" level, which precedes a status of Normative. It would be nice if we could keep this name, and we probably should've registered it earlier.

URI suffix: smart-configuration
Change controller: I think that the correct answer is HL7 - http://www.hl7.org/about/index.cfm?ref=nav
Specification document: http://www.hl7.org/fhir/smart-app-launch/conformance/index.html#well-known-uri-registry

Isaac Vetter

https://tools.ietf.org/html/rfc5785#section-5.1

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 1 Jul 2019 09:12:44 +1000

Apologies for the delay.

Your document says:
  """Contrary to RFC5785 Appendix B.4, the .well-known path component may be appended even if the FHIR endpoint already contains a path component."""

RFC5785 Appendix B and RFC8615 (which obsoletes it) explain that this is bad practice, and not sanctioned use of well-known URIs. See RFC7320 (BCP190) for more information.

As a result, the registration request is denied. If that text is removed from the document, we can reconsider your request.

Additionally, the name "smart-configuration" is very generic; as per 8615, if a well-known resource is specific to an application, it should have a correspondingly specific name (e.g., "hl7-smart-configuration").

Regards,

> On 24 May 2019, at 2:48 am, Isaac Vetter <[email-masked]> wrote:
> 
> I’d like to request that the “smart-configuration” well-known URI name be registered. I’m making this request on behalf of the HL7 standards development organization in regards to the HL7 FHIR SMART App Launch specification. This implementation guide defines a well-known URI by which an application may discover a FHIR API server’s authorization and launch capabilities.  
>  
> This specification has already gone through a round of balloting within HL7 and is currently published at the “Standard for Trial Use” level, which precedes a status of Normative. It would be nice if we could keep this name, and we probably should’ve registered it earlier.
>  
> _______________________________________________
> wellknown-uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/wellknown-uri-review

--
Mark Nottingham   https://www.mnot.net/